#!/bin/bash

echo 'The following tasks will clean this One Button Installer'
echo 'to minimize the compressed image.'
echo ''
cd
echo 'Press Enter to continue'
read ans
ans=

echo '1. Use an editor to reduce the size of .bash_history'

nano /home/$USER/.bash_history 

echo '2. Truncate the log files'

sudo bash truncate-log

echo '3. Remove any temporary or extra files, for example tarballs if the blank'
echo 'installer in going to be imaged.'

sudo rm -i /tarballs/*.tar.?z
sudo rm -i /home/$USER/{selected,obilevel,partitions,md5sums-phillw.txt}
sudo rm -ir /home/$USER/.cache/*
sudo rm -ir /home/$USER/.ssh/*
sudo apt-get clean
sudo rm -ir /tmp/*
echo 'Check manually and remove files you do not want to keep'

